## org.eclipse.xsd.ecore.importer
Class XSDImporterApplication

    java.lang.Object
      org.eclipse.emf.importer.ModelImporterApplication
          org.eclipse.xsd.ecore.importer.XSDImporterApplication

All Implemented Interfaces:
  IApplication

    public class XSDImporterApplication

extends ModelImporterApplication

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` `nsURIToPackageName`
`protected java.util.Set<java.lang.String>` `packages`

Fields inherited from class org.eclipse.emf.importer.ModelImporterApplication
`copyright, editFragmentPath, editorFragmentPath, editorProjectLocationPath, editProjectLocationPath, genJDKLevel, genModelFullPath, modelFragmentPath, modelImporter, modelLocations, modelPluginID, modelProjectLocationPath, NL, quiet, referencedEPackages, referencedGenModelURIToEPackageNSURIs, reload, sdo, templatePath, testsFragmentPath, testsProjectLocationPath, validateModel`

Fields inherited from interface org.eclipse.equinox.app.IApplication
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`XSDImporterApplication()`

Method Summary
`protected void` `adjustEPackages(Monitor monitor)`
`protected ModelImporter` `createModelImporter()`
`protected java.lang.StringBuffer` `getUsage()`
`protected java.lang.String` `interpretNsURI(java.lang.String nsURI)`
`protected int` `processArgument(java.lang.String[] arguments, int index)`

Methods inherited from class org.eclipse.emf.importer.ModelImporterApplication

`adjustAttributes, adjustGenModel, adjustModelImporter, adjustModelImporterAfterPrepare, appendLine, computeEPackages, doExecute, execute, getModelImporter, getProgressMonitor, handleEPackage, handleGenModelPath, handleQualifiedEPackageName, handleReferencedEPackages, handleUnrecognizedArgument, printUsage, processArguments, processModelAndGenModelLocationArguments, processModelProjectArguments, run, run, run, setSDODefaults, start, stop, usePlatformURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nsURIToPackageName

    protected java.util.Map<java.lang.String,java.lang.String> nsURIToPackageName

### packages

    protected java.util.Set<java.lang.String> packages

Constructor Detail

### XSDImporterApplication

    public XSDImporterApplication()

Method Detail

### createModelImporter

    protected ModelImporter createModelImporter()

  Specified by:
    `createModelImporter` in class `ModelImporterApplication`

### getUsage

    protected java.lang.StringBuffer getUsage()

  Specified by:
    `getUsage` in class `ModelImporterApplication`

### processArgument

    protected int processArgument(java.lang.String[] arguments,
                                  int index)

  Overrides:
    `processArgument` in class `ModelImporterApplication`

### interpretNsURI

    protected java.lang.String interpretNsURI(java.lang.String nsURI)

### adjustEPackages

    protected void adjustEPackages(Monitor monitor)

  Overrides:
    `adjustEPackages` in class `ModelImporterApplication`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.